Package Details: scotch 6.0.6-1

Git Clone URL: https://aur.archlinux.org/scotch.git (read-only)
Package Base: scotch
Description: Software package and libraries for graph, mesh and hypergraph partitioning, static mapping, and sparse matrix block ordering. This is the all-inclusive version (MPI/serial/esmumps).
Upstream URL: http://www.labri.fr/perso/pelegrin/scotch/
Licenses: custom:CeCILL-C
Conflicts: ptscotch-openmpi, scotch_esmumps, scotch_esmumps5
Provides: ptscotch, ptscotch-openmpi, scotch_esmumps, scotch_ptesmumps
Submitter: None
Maintainer: ioquatix
Last Packager: ioquatix
Votes: 31
Popularity: 0.967071
First Submitted: 2006-11-07 17:51
Last Updated: 2018-07-15 06:38

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

AsmundEr commented on 2017-04-03 11:27

I may have just cracked the riddle: when it failed for me, it first failed in the check() function saying "cannot replay random sequence". So I commented that out, and restarted the build, upon which it gave the error message mentioned on 2017-03-29. But now I tried a fresh build where I commented the check() out before the first build, and it now works fine!

ioquatix commented on 2017-04-03 11:13

For me, SCOTCH_archInit is defined in "src/scotch_6.0.4/src/libscotch/library_arch.c".

ioquatix commented on 2017-04-03 11:10

Ah right. I have nothing to do with "scotch_esmumps" nor "OpenFOAM". But, I did help maintain this package because it was a bit broken before, and I used OpenFOAM 3.x for a while.

I just tried building the package again and it is working for me. That's odd. I looked for the specific line you quoted, and I have it, and it works fine.

What version of GCC are you using? Is your system up to date?

AsmundEr commented on 2017-04-03 10:53

@ioquatix When I tried to install OpenFOAM, I had scotch installed from an old package "scotch_esmumps" that provides "scotch", so when OpenFOAM PKGBUILD checks "is scotch provided?" the answer is "yes", but then their PKGBUILD calls "pacman -Q scotch" to get the scotch version, and that command fails and stalls the build.

What details do you need about my system? It is an up-to-date 64bit Arch box with Intel Core i7-3770, 32 GB memory.

ioquatix commented on 2017-03-29 23:03

@AsmundER Thanks for the update. Please report problem to OpenFOAM and let me know what happens. This package is called scotch, so I'm a little bit confused about the problem you are having.

I have not seen that error before. Can you provide some more details about your system?

AsmundEr commented on 2017-03-29 13:20

I also had a "scotch problem" when installing OpenFOAM, which led me here. It's not actually a problem with this package, but with OpenFOAM trying to determine the scotch version by using `pacman -Q scotch`. This obviously fails if the user has installed a package that is not named "scotch" but provides scotch. I will report the bug on the OpenFOAM package.

As for building this package, I have not been able to get it to work, it fails at:

gcc -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fPIC -DCOMMON_FILE_COMPRESS_GZ -DCOMMON_FILE_COMPRESS_BZ2 -DCOMMON_PTHREAD -DCOMMON_RANDOM_FIXED_SEED -DSCOTCH_RENAME -DSCOTCH_PTHREAD -Drestrict=__restrict -DIDXSIZE64 -I../../include -I../libscotch acpl.c -o acpl -L../../lib -lscotch -lscotch -lscotcherrexit -lz -lbz2 -lm -lrt -pthread
/tmp/cc0ZwJQa.o: In function `main':
acpl.c:(.text.startup+0x13b): undefined reference to `_SCOTCHfileBlockOpen'
acpl.c:(.text.startup+0x143): undefined reference to `SCOTCH_archInit'
acpl.c:(.text.startup+0x152): undefined reference to `SCOTCH_archLoad'
acpl.c:(.text.startup+0x15a): undefined reference to `SCOTCH_archName'
acpl.c:(.text.startup+0x1f1): undefined reference to `_SCOTCHusagePrint'
acpl.c:(.text.startup+0x268): undefined reference to `SCOTCH_archSave'
acpl.c:(.text.startup+0x279): undefined reference to `_SCOTCHfileBlockClose'
acpl.c:(.text.startup+0x281): undefined reference to `SCOTCH_archExit'
../../lib/libscotch.so: undefined reference to `scotchyylval'
collect2: error: ld returned 1 exit status

ioquatix commented on 2017-01-25 11:08

I've been in touch with the developer of scotch and he is going to attempt to fix some of the current issues and release 6.0.5

In any case, it should be fine for OpenFOAM, I've been using it. Can you explain in more detail the error when building OpenFOAM?

ingleandrobarros commented on 2017-01-25 06:02

scotch don't run correctly for install OpenFOAM. What's the problem?

ioquatix commented on 2017-01-25 00:06

Yes, the undefined reference to scotchyywrap should have been fixed in the latest PKGBUILD in git.

eolianoe commented on 2017-01-24 21:30

I have some errors message linked to "undefined reference to scothyywrap", are they linked to your comments about bison/flex?